Bug Hunting Session
Bug 105160 - Combo Box Wizard: Text is cut even though there is enough space to display it
Summary: Combo Box Wizard: Text is cut even though there is enough space to display it
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords: needsUXEval
Depends on:
Blocks: Dialog Form-Controls
  Show dependency treegraph
 
Reported: 2017-01-07 06:25 UTC by Tamás Zolnai
Modified: 2017-07-13 10:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot of the dialog (11.91 KB, image/png)
2017-01-07 06:26 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-01-07 06:25:58 UTC
Description:
On Combo Box Wizard's first page text is cut, partly displayed even though there is a huge available space to display it.

Steps to Reproduce:
1. Open Calc
2. Insert -> Form Control -> Combo Box
3. Select a place for the combo box somewhere
4. Combo Box Wizard is activated -> Not all the text are displayed on the left side of the first page.

Actual Results:  
The text "Please note that the settings made on this page will take effect immediately upon leaving the page." is cut and only a small part of it actually readable.

Expected Results:
The text "Please note that the settings made on this page will take effect immediately upon leaving the page." should be displayed entirely.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36
Comment 1 Tamás Zolnai 2017-01-07 06:26:53 UTC
Created attachment 130227 [details]
Screen shot of the dialog
Comment 2 Heiko Tietze 2017-01-08 09:58:36 UTC
/confirmed (actually dialogs must not be resizable, which is another issue here)
Comment 3 Commit Notification 2017-01-09 16:04:53 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c9f0f3c17a03b305f9d55ad40cc7e4111269760

tdf#105160: word wrap at wizard

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-03-01 11:01:07 UTC
Hello Heiko,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 5 Xisco Faulí 2017-07-13 10:33:40 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 6 Heiko Tietze 2017-07-13 10:56:18 UTC
Oups, forgot to close the ticket. Issue is fixed.